# Class ServerPrepareStatementCache

java.lang.Object
java.util.AbstractMap<String, ServerPrepareResult>
java.util.HashMap<String, ServerPrepareResult>
java.util.LinkedHashMap<String, ServerPrepareResult>
org.mariadb.jdbc.internal.util.ServerPrepareStatementCache

All Implemented Interfaces:
  `Serializable, Cloneable, Map<String, ServerPrepareResult>, SequencedMap<String, ServerPrepareResult>`

public final class ServerPrepareStatementCache extends LinkedHashMap<String, ServerPrepareResult>

See Also:
  - Serialized Form

## Nested Class Summary

### Nested classes/interfaces inherited from class AbstractMap

`AbstractMap.SimpleEntry<K,V>, AbstractMap.SimpleImmutableEntry<K,V>`

## Method Summary

Modifier and Type
Method
Description
`static ServerPrepareStatementCache`
`newInstance(int size, Protocol protocol)`
`ServerPrepareResult`
`put(String key, ServerPrepareResult result)`
Associates the specified value with the specified key in this map.
`boolean`
`removeEldestEntry(Map.Entry eldest)`
Remove eldestEntry.
`String`
`toString()`

### Methods inherited from class LinkedHashMap

`clear, containsValue, entrySet, forEach, get, getOrDefault, keySet, newLinkedHashMap, putFirst, putLast, replaceAll, reversed, sequencedEntrySet, sequencedKeySet, sequencedValues, values`

### Methods inherited from class HashMap

`clone, compute, computeIfAbsent, computeIfPresent, containsKey, isEmpty, merge, newHashMap, putAll, putIfAbsent, remove, remove, replace, replace, size`

### Methods inherited from class AbstractMap

`equals, hashCode`

### Methods inherited from class Object

`finalize, getClass, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface Map

`compute, computeIfAbsent, computeIfPresent, containsKey, equals, hashCode, isEmpty, merge, putAll, putIfAbsent, remove, remove, replace, replace, size`

### Methods inherited from interface SequencedMap

`firstEntry, lastEntry, pollFirstEntry, pollLastEntry`

## Method Details

### newInstance

public static ServerPrepareStatementCache newInstance(int size, Protocol protocol)

### removeEldestEntry

public boolean removeEldestEntry(Map.Entry eldest)
Remove eldestEntry.

Overrides:
  `removeEldestEntry` in class `LinkedHashMap<String, ServerPrepareResult>`
Parameters:
  `eldest` - eldest entry
Returns:
  true if eldest entry must be removed

### put

public ServerPrepareResult put(String key, ServerPrepareResult result)
Associates the specified value with the specified key in this map. If the map previously contained a mapping for the key, the existing cached prepared result shared counter will be incremented.

Specified by:
  `put` in interface `Map<String, ServerPrepareResult>`
Overrides:
  `put` in class `HashMap<String, ServerPrepareResult>`
Parameters:
  `key` - key
  `result` - new prepare result.
Returns:
  the previous value associated with key if not been deallocate, or null if there was no mapping for key.

### toString

public String toString()

Overrides:
  `toString` in class `AbstractMap<String, ServerPrepareResult>`